r36643 - /packages/polylib/trunk/debian/repack

guelton-guest at users.alioth.debian.org guelton-guest at users.alioth.debian.org
Tue Jun 15 20:30:54 UTC 2010


Author: guelton-guest
Date: Tue Jun 15 20:30:45 2010
New Revision: 36643

URL: http://svn.debian.org/wsvn/debian-science/?sc=1&rev=36643
Log:
Rework the polylib repack script to follow debian policy.

Modified:
    packages/polylib/trunk/debian/repack

Modified: packages/polylib/trunk/debian/repack
URL: http://svn.debian.org/wsvn/debian-science/packages/polylib/trunk/debian/repack?rev=36643&op=diff
==============================================================================
--- packages/polylib/trunk/debian/repack (original)
+++ packages/polylib/trunk/debian/repack Tue Jun 15 20:30:45 2010
@@ -1,6 +1,28 @@
 #!/bin/sh
 # repacking actions, called from uscan trough watch file
+# see
+# http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#repackagedorigtargz
+# for debian repacking policy
+set -e
+set -x
 
-# documentation has no source and cannot be considered free
-rm -rf doc/*.pdf doc/*.ps doc/*.pdf.gz doc/*.ps.gz && \
-	echo "removed non-free documentation from original sources"
+
+# called by uscan with '--upstream-version' <version> <file>
+basedir=polylib-$2
+shortdir=$basedir.orig
+dir=../$shortdir
+origtarball=polylib_$2.orig.tar.gz
+
+# clean up the upstream tarball
+tar -x -z -f $3 
+mv $basedir $shortdir
+
+echo "removing non-free documentation from original sources"
+tar -c -z -f ../$origtarball \
+	--exclude="$shortdir/doc/*.pdf" --exclude="$shortdir/doc/*.gz" \
+	$shortdir 
+
+# removed everything accordingly
+rm -rf $shortdir
+
+exit 0




More information about the debian-science-commits mailing list